"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("./src/http");
var common_http_1 = require("./src/common-http");
var injection_js_1 = require("injection-js");
var xhr_1 = require("./src/common-http/src/xhr");
var backend_1 = require("./src/common-http/src/backend");
var interceptor_1 = require("./src/common-http/src/interceptor");
require('zone.js');
exports.HTTP_CLIENT_PROVIDERS = http_1.SERVER_HTTP_PROVIDERS.concat([
    common_http_1.HttpClient,
    xhr_1.HttpXhrBackend,
    { provide: backend_1.HttpBackend, useExisting: xhr_1.HttpXhrBackend },
]);
function createHttpClient(options) {
    if (options === void 0) { options = {}; }
    var providers = exports.HTTP_CLIENT_PROVIDERS.concat((options.interceptors
        ? options.interceptors.map(function (interceptor) {
            return ({ provide: interceptor_1.HTTP_INTERCEPTORS, useClass: interceptor, multi: true });
        })
        : []));
    return injection_js_1.ReflectiveInjector.resolveAndCreate(providers).get(common_http_1.HttpClient);
}
exports.createHttpClient = createHttpClient;
__export(require("./src/http"));
__export(require("./src/common-http"));
//# sourceMappingURL=index.js.map